Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
ibf_load Struct Reference

## Data Fields
const struct ibf_header * | header
VALUE | iseq_list
struct ibf_load_buffer | global_buffer
VALUE | loader_obj
rb_iseq_t * | iseq
VALUE | str
struct ibf_load_buffer * | current_buffer

## Detailed Description

Definition at line 9547 of file compile.c.

## Field Documentation

## ◆ current_buffer

struct ibf_load_buffer* ibf_load::current_buffer

Definition at line 9554 of file compile.c.

## ◆ global_buffer

struct ibf_load_buffer ibf_load::global_buffer

Definition at line 9550 of file compile.c.

## ◆ header

const struct ibf_header* ibf_load::header

Definition at line 9548 of file compile.c.

## ◆ iseq

rb_iseq_t* ibf_load::iseq

Definition at line 9552 of file compile.c.

Referenced by rb_ibf_load_iseq_complete().

## ◆ iseq_list

VALUE ibf_load::iseq_list

Definition at line 9549 of file compile.c.

## ◆ loader_obj

VALUE ibf_load::loader_obj

Definition at line 9551 of file compile.c.

Referenced by rb_iseq_ibf_load(), rb_iseq_ibf_load_bytes(), and rb_iseq_ibf_load_extra_data().

## ◆ str

VALUE ibf_load::str

Definition at line 9553 of file compile.c.

The documentation for this struct was generated from the following file:

- compile.c